# OpenapiClient::SectorApi

All URIs are relative to *https://stage.api.mastercard.com/golden-service*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_sectors**](SectorApi.md#get_sectors) | **GET** /sectors | Returns the valid sectors which can be passed to various other endpoints in the sector field
[**get_top_sectors**](SectorApi.md#get_top_sectors) | **GET** /top-sectors | Retrieves the top grossing sectors for the specified date &amp; location



## get_sectors

> Array&lt;Sector&gt; get_sectors

Returns the valid sectors which can be passed to various other endpoints in the sector field

### Example

```ruby
# load the gem
require 'openapi_client'

api_instance = OpenapiClient::SectorApi.new

begin
  #Returns the valid sectors which can be passed to various other endpoints in the sector field
  result = api_instance.get_sectors
  p result
rescue OpenapiClient::ApiError => e
  puts "Exception when calling SectorApi->get_sectors: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**Array&lt;Sector&gt;**](Sector.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_top_sectors

> Array&lt;Array&gt; get_top_sectors(date, location, spending_type)

Retrieves the top grossing sectors for the specified date & location

### Example

```ruby
# load the gem
require 'openapi_client'

api_instance = OpenapiClient::SectorApi.new
date = Date.parse('29/02/2019') # Date | The date for the requested data
location = 'New York' # String | The location for which you wish to receive the top-sectors report.
spending_type = 'ATV' # String | Used to distinguish between gross spending (GS) & average transaction value (ATV)

begin
  #Retrieves the top grossing sectors for the specified date & location
  result = api_instance.get_top_sectors(date, location, spending_type)
  p result
rescue OpenapiClient::ApiError => e
  puts "Exception when calling SectorApi->get_top_sectors: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **date** | **Date**| The date for the requested data | 
 **location** | **String**| The location for which you wish to receive the top-sectors report. | 
 **spending_type** | **String**| Used to distinguish between gross spending (GS) &amp; average transaction value (ATV) | 

### Return type

**Array&lt;Array&gt;**

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

