=begin
#Golden Service API

#An API that conforms to the standards and best practices that should be adhered to in all Mastercard owned APIs. Can be used to create subscriptions to reports that are generated twice daily (6am & 6pm) that deliver e-commerce spending across multiple sectors and locations. <br/> --- * **All requests must be signed using oauth 1.0a. Please refer to: https://developer.mastercard.com/platform/documentation/using-oauth-1a-to-access-mastercard-apis/** --- * **The user must provide their card details when creating a subscription. These details must be encrypted before entering transit. Please refer to [Mastercard security](https://stage.developer.mastercard.com/platform/documentation/securing-sensitive-data-using-payload-encryption/)** --- 

The version of the OpenAPI document: 1.1.0
Contact: developers@mastercard.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.0.1-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for OpenapiClient::ReportsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ReportsApi' do
  before do
    # run before each test
    @api_instance = OpenapiClient::ReportsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ReportsApi' do
    it 'should create an instance of ReportsApi' do
      expect(@api_instance).to be_instance_of(OpenapiClient::ReportsApi)
    end
  end

  # unit tests for get_spending
  # Retrieves e-commerce spending for a particular location, sector and date range or single date
  # @param date The date for the requested data
  # @param location The location for which you wish to receive the top-sectors report.
  # @param spending_type Used to distinguish between gross spending (GS) &amp; average transaction value (ATV)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :sector The sector for which you wish to receive reports. Sector ids can be retrieved from sectors call
  # @return [SpendingReport]
  describe 'get_spending test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_top_locations
  # Retrieves the top grossing locations for the specified date/sector/spending type
  # @param date The date for the requested data
  # @param spending_type Used to distinguish between gross spending (GS) &amp; average transaction value (ATV)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :sector The sector for which you wish to receive reports. Sector ids can be retrieved from sectors call
  # @option opts [Integer] :limit Can be used to limit the amount of results returned from a query (Pagination)
  # @option opts [Integer] :offset The number of items to offset the start of the list from (Pagination)
  # @return [TopLocationsReport]
  describe 'get_top_locations test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_top_sectors
  # Retrieves the top grossing sectors for the specified date &amp; location
  # @param date The date for the requested data
  # @param location The location for which you wish to receive the top-sectors report.
  # @param spending_type Used to distinguish between gross spending (GS) &amp; average transaction value (ATV)
  # @param [Hash] opts the optional parameters
  # @return [Array<Array>]
  describe 'get_top_sectors test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
