=begin
#Golden Service API

#An API that conforms to the standards and best practices that should be adhered to in all Mastercard owned APIs. Can be used to create subscriptions to reports that are generated twice daily (6am & 6pm) that deliver e-commerce spending across multiple sectors and locations. <br/> --- * **All requests must be signed using oauth 1.0a. Please refer to: https://developer.mastercard.com/platform/documentation/using-oauth-1a-to-access-mastercard-apis/** --- * **The user must provide their card details when creating a subscription. These details must be encrypted before entering transit. Please refer to [Mastercard security](https://stage.developer.mastercard.com/platform/documentation/securing-sensitive-data-using-payload-encryption/)** --- 

The version of the OpenAPI document: 1.1.0
Contact: developers@mastercard.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.0.1-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for OpenapiClient::SubscribeApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'SubscribeApi' do
  before do
    # run before each test
    @api_instance = OpenapiClient::SubscribeApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SubscribeApi' do
    it 'should create an instance of SubscribeApi' do
      expect(@api_instance).to be_instance_of(OpenapiClient::SubscribeApi)
    end
  end

  # unit tests for get_subscription
  # Gets a specific subscription using a subscription Id passed as in the path
  # @param subscription_id Unique identifier of a particular subscription (UUID Version 4)
  # @param [Hash] opts the optional parameters
  # @return [SubscriptionResponse]
  describe 'get_subscription test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_subscriptions
  # gets all active subscriptions for a particular user. Returned list size can be limited using the limit parameter
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Can be used to limit the amount of results returned from a query (Pagination)
  # @option opts [Integer] :offset The number of items to offset the start of the list from (Pagination)
  # @return [Array<ActiveSubscription>]
  describe 'list_subscriptions test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for subscribe
  # Allows the user to subscribe to a particular location and receive updates on e-commerce spending in their chosen area. The user can pay for the subscription on a daily basis. The user is charged for every report they receive until their subscription is cancelled
  # @param request_body Request body required to create a particular subscription
  # @param [Hash] opts the optional parameters
  # @return [Array<SubscriptionResponse>]
  describe 'subscribe test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unsubscribe
  # Un-subscribes from a specified subcription
  # @param subscription_id Unique identifier of a particular subscription (Version 4 UUID)
  # @param [Hash] opts the optional parameters
  # @return [UnsubscribedResponse]
  describe 'unsubscribe test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_subscription
  # Updates an active subscription
  # @param subscription_id Unique identifier of a particular subscription (UUID Version 4)
  # @param subscription_object Request body required to update a particular subscription
  # @param [Hash] opts the optional parameters
  # @return [SubscriptionResponse]
  describe 'update_subscription test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
